# System The System API is different from the other Rhythm apps because it is not focused on a specific area of association management. Instead, this API provides endpoints that are useful across all the other areas of the platform. It is most commonly used to execute Queries which may combine data points from several apps. Version: v1-2025-04-18 ## Servers ``` https://system.api.rhythmsoftware.com ``` ## Security ### knox-authorizer Type: http Scheme: bearer Bearer Format: JWT ## Download OpenAPI description [System](https://docs.api.rhythmsoftware.com/_bundle/apis/system/system-v1.yaml) ## Queries Queries ### Gets the current status and results for a query that has previously been started - [GET /queries/{tenantId}/describe/{id}](https://docs.api.rhythmsoftware.com/apis/system/system-v1/queries/describequery.md): Gets the current status and results for a query that has previously been started ### Gets the definition for a specific type of query including the available fields - [GET /queries/{tenantId}/public/description/{queryType}](https://docs.api.rhythmsoftware.com/apis/system/system-v1/queries/describepublicquerytype.md): Gets the definition for a specific type of query including the available fields ### Starts a new query and returns the query id and info - [POST /queries/{tenantId}/start/{queryType}/{outputFormat}](https://docs.api.rhythmsoftware.com/apis/system/system-v1/queries/startquery.md): Starts a new query and returns the query id and info ## Step Functions Step Functions ### Gets the current state of an execution - [GET /stepFunctions/{tenantId}/describe/{executionArn}](https://docs.api.rhythmsoftware.com/apis/system/system-v1/step-functions/describeexecution.md): Gets the current state of an execution ### Gets the current state of an execution - [GET /stepFunctions/{tenantId}/public/describe/{executionArn}](https://docs.api.rhythmsoftware.com/apis/system/system-v1/step-functions/describeexecutionpublic.md): Gets the current state of an execution ### This method cancels a state machine execution - [DELETE /stepFunctions/{tenantId}/{stateMachineName}/{executionId}](https://docs.api.rhythmsoftware.com/apis/system/system-v1/step-functions/cancelstatemachineexecution.md): This method cancels a state machine execution